Skip to main content
GET
Get bulk crypto payout
v1 (legacy). This page documents the API before the v2 update. The v1 format is not enabled for new accounts and must be enabled on your account by your account manager. New integrations should use the current documentation. To update an existing integration, follow the migration guide.

Requirements to consume the endpoint.

User approved

The user must be approved in at least one country.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Id of the bulk crypto payout

Response

OK

createdAt
string

The date and time the bulk payout was created.

Example:

"2025-01-04T00:24:28.658Z"

userId
string

The unique identifier of the user.

Example:

"6757546b4c5d19bf3cd7b09c"

orderIds
string[]

List of order IDs associated with this bulk payout.

Example:
amount
number

The total payout amount across all orders.

Example:

15000

crypto
enum<string>

The cryptocurrency of the payout.

Available options:
USDC,
USDC_POLYGON_NXTB,
SOL_USDC_PTHX,
XLM_USDC_5F3T,
USDC_BASECHAIN_ETH_5I5C,
USDCE_TEMPO_MXYR,
USDT_POLYGON,
USDT_ERC20,
TRX_USDT_S2UZ,
USDT_BSC,
SOL_USDT_EWAY,
EUROC_ETH_F5NG,
EURC_SOL,
EURC_B609K9QB_Y213
payoutAddressId
string

The ID of the destination crypto address.

Example:

"65ba521a4b3e1bd9eb6a5107"

blockchainAddress
string

The blockchain address where funds will be sent.

Example:

"0x1234567890abcdef1234567890abcdef12345678"

country
enum<string>

The country of the operation.

Available options:
MX,
PE,
CO
status
enum<string>

The current status of the bulk crypto payout.

Available options:
awaitingOrders,
awaitingPaymentForOrders,
awaitingPayoutRequest,
awaitingPayout,
awaitingAsyncPayout,
awaitingAsyncPayoutRequest,
checkingLiquidity,
sourcingLiquidity,
liquiditySourced,
complete,
failed,
cancelled
Example:

"awaitingOrders"

payoutsSent
object[]

Details of individual payouts within this bulk payout.

id
string

The unique identifier of the bulk crypto payout.

Example:

"677890d5d520f9ecb10e9c33"